package com.corewing.app.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.corewing.app.entity.Tutorial;
import org.springframework.web.bind.annotation.RequestBody;

public interface TutorialService extends IService<Tutorial> {
    IPage<Tutorial> pageList(Page<Tutorial> page, int categoryId, String tutorialTitle, String lang);

    Page<Tutorial> page(Tutorial tutorial);

    boolean save(Tutorial tutorial);

    boolean update(Tutorial tutorial);

    boolean remove(Long id);
}
